Subject: Re: lojban as a programming language [was Re: [lojban] Lojban for lay programmers]

From: "Jorge Llambias" <[email-masked]>
Date: Thu, 24 Jan 2002 22:30:19

la bruk cusku di'e

>The meaning of lu'e is a matter of indirection, not time of evaluation.
>The action of lu'e when applied to a name seems pretty clear. Consider
>it this way: lu'e and la'e are inverses of each other. Thus:
>
>la'e lu'e la djan. == lu'e la'e la djan. == la djan.

Right. Just be careful that la djan is normally a person, not a name!

>So lu'e la djan. is a pointer to "la djan." whatever that happens to be.

No, it's a pointer to la djan, normally a person. lu'e la djan
could be zo djan.

>In this case, it happens to be a name, which itself can be thought of as
>a pointer to the actual person we call djan.

zo djan is the name, la djan is the person. lu'e la djan and
zo djan are more or less the same thing (a symbol pointing to
a person).

>Thus, lu'e la djan. is a
>pointer to a pointer to the actual person djan. and la'e la djan. is the
>actual person.

la djan is the actual person. la'e la djan is whatever the
person could be a symbol for, maybe an organization, in some
context?

>mi visko la'e la djan. I see John (for real, in the
>flesh, directly).

That's just {mi viska la djan}.

mu'o mi'e xorxes

_________________________________________________________________
Chat with friends online, try MSN Messenger: http://messenger.msn.com